#ifndef HAVE_P_GNUBOY
#define HAVE_P_GNUBOY

#define PORTING_SATURN
//#define PORTING_ROM_INCLUDED
// although this shouldn't be defined elsewhere
#undef IS_LITTLE_ENDIAN

#define EMST_DISABLE
#include <RB_EmuStats.h>
enum {
    EMST_CPU,
    EMST_LCD,
    EMST_VRAM,
    EMST_PAD,
};

// the hard coded cartridge rom
#ifdef PORTING_ROM_INCLUDED
extern char gamedata[];
#else
extern char *gamedata;
#endif
extern int gamedata_size;


extern void emu_run();
int sram_load();
int sram_save();
void state_save(int n);
void state_load(int n);
void rtc_save();

void gb_vid_init();
void pcm_init();

int loader_init(const char *romfile);
//int rom_load(const char *romfile);
void loader_unload();

#endif
